module Enviso
end

require "enviso/config"
require "enviso/engine" if defined?(Rails) && Rails::VERSION::MAJOR.to_i >= 3
require "enviso/api"
require "enviso/authentication"

module Enviso
  class Error < StandardError; end

  # For testing purpose only: set the username and password
  # in environment variables to make the tests pass with your test
  # credentials.
  def self.set_credentials_from_environment
    Config.api_key 		= ENV["ENVISO_API_KEY"]
    Config.api_secret = ENV["ENVISO_API_SECRET"]
		Config.tenant_key = ENV["ENVISO_TENANT_KEY"]
  end


end
